vulkan_fuchsia.h File Reference

Go to the source code of this file.

## Data Structures

struct | VkImagePipeSurfaceCreateInfoFUCHSIA

## Macros

#define | VK_FUCHSIA_imagepipe_surface 1
#define | VK_FUCHSIA_IMAGEPIPE_SURFACE_SPEC_VERSION 1
#define | VK_FUCHSIA_IMAGEPIPE_SURFACE_EXTENSION_NAME "VK_FUCHSIA_imagepipe_surface"

## Typedefs

typedef VkFlags | VkImagePipeSurfaceCreateFlagsFUCHSIA
typedef VkResult(VKAPI_PTR * | PFN_vkCreateImagePipeSurfaceFUCHSIA) (VkInstance instance, const VkImagePipeSurfaceCreateInfoFUCHSIA *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)

## Functions

VKAPI_ATTR VkResult VKAPI_CALL | vkCreateImagePipeSurfaceFUCHSIA (VkInstance instance, const VkImagePipeSurfaceCreateInfoFUCHSIA *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)

## Macro Definition Documentation

## VK_FUCHSIA_imagepipe_surface

#define VK_FUCHSIA_imagepipe_surface 1

Definition at line 30 of file vulkan_fuchsia.h.

## VK_FUCHSIA_IMAGEPIPE_SURFACE_EXTENSION_NAME

#define VK_FUCHSIA_IMAGEPIPE_SURFACE_EXTENSION_NAME "VK_FUCHSIA_imagepipe_surface"

Definition at line 32 of file vulkan_fuchsia.h.

## VK_FUCHSIA_IMAGEPIPE_SURFACE_SPEC_VERSION

#define VK_FUCHSIA_IMAGEPIPE_SURFACE_SPEC_VERSION 1

Definition at line 31 of file vulkan_fuchsia.h.

## Typedef Documentation

## PFN_vkCreateImagePipeSurfaceFUCHSIA

typedef VkResult(VKAPI_PTR * PFN_vkCreateImagePipeSurfaceFUCHSIA) (VkInstance instance, const VkImagePipeSurfaceCreateInfoFUCHSIA *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)

Definition at line 44 of file vulkan_fuchsia.h.

## VkImagePipeSurfaceCreateFlagsFUCHSIA

typedef VkFlags VkImagePipeSurfaceCreateFlagsFUCHSIA

Definition at line 34 of file vulkan_fuchsia.h.

## Function Documentation

## vkCreateImagePipeSurfaceFUCHSIA()

VKAPI_ATTR VkResult VKAPI_CALL vkCreateImagePipeSurfaceFUCHSIA | ( | VkInstance | instance,
|  | const VkImagePipeSurfaceCreateInfoFUCHSIA * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkSurfaceKHR * | pSurface
| ) |  |

Referenced by VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::init().